﻿Imports EFCoreFullNet
Imports Microsoft.EntityFrameworkCore
Imports Microsoft.VisualStudio.TestTools.UnitTesting
Imports System.Linq

Namespace Tests
  <TestClass>
  Public Class TestEFCoreFullNet
	Private _options As DbContextOptions(Of SamuraiContext)

	Public Sub New()
	  Dim optionsBuilder = New DbContextOptionsBuilder(Of SamuraiContext)()
	  optionsBuilder.UseInMemoryDatabase()
	  _options = optionsBuilder.Options
	End Sub

	<TestMethod>
	Public Sub CanAddAndUpdateSomeData()
	  Dim samurai = New Samurai With {.Name = "Julie"}
	  Using context = New SamuraiContext(_options)
		context.Add(samurai)
		context.SaveChanges()
	  End Using
	  samurai.Name &= "San"
	  Using context = New SamuraiContext(_options)
		context.Samurais.Update(samurai)
		context.SaveChanges()
	  End Using
	  Using context = New SamuraiContext(_options)
		Assert.AreEqual("JulieSan", context.Samurais.FirstOrDefault().Name)
	  End Using
	End Sub
  End Class
End Namespace